import Foundation

/**
 An object to update the push token of a device.
 */
public struct PushTokenUpdate: Codable {

    /// The authentication of the requesting device.
    let device: DeviceAuthentication

    /// The new push token to register
    let newToken: PushToken
}
